Updates the contact with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
contact| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary key |
globally unique identifier |
Required |
| firstname |
Firstname of the contact |
string |
Max length: 50 |
| lastname |
Lastname of the contact. If you have one single field available for firstname+lastname then use Lastname |
string |
Required Max length: 50 |
| company_id |
Company of the contact |
globally unique identifier |
Optionally required : company_id,company_code or company must be provided |
| company_code |
Embedded entity "company" using ERP PK when adding/updating contact |
string |
Optionally required : company_id,company_code or company must be provided |
| company |
Embedded entity "company" when adding/updating contact |
company |
Optionally required : company_id,company_code or company must be provided |
| db_language_id |
Language of the contact.If empty, will use the default on the system |
globally unique identifier | |
| db_language_code |
Language code entity using international isocode when adding/updating contact |
string | |
| db_title_id |
The title of the contact |
globally unique identifier | |
| archived |
Archive this contact to not have it anymore on the search |
boolean | |
| functions |
Function of the contact (ServiceManager,...) |
string |
Max length: 64 |
| e_login |
Login of the contact (if have access to ServiceDesk) |
string |
Max length: 50 |
| e_password |
Password in clear text of the contact (if have access to ServiceDesk) |
string |
Max length: 50 |
| notes |
Notes/Remark field |
string | |
| birthdate |
Birthday date |
date | |
| create_date |
Creation date+time |
date | |
| phone |
Phone number of the contact |
string |
Max length: 50 |
| mobile |
a number of the contact |
string |
Max length: 50 |
|
|
string |
Max length: 250 |
|
| skype |
skype |
string |
Max length: 250 |
| private_phone |
Private phone number of the contact |
string |
Max length: 50 |
| private_mobile |
Private mobile number of the contact |
string |
Max length: 50 |
| private_email |
Private email |
string |
Max length: 250 |
| reference_back_office |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 50 |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Request Formats :
application/json, text/json
{
"id": "3f2fb05d-096c-4ccb-87f6-41b8e5aacd88",
"firstname": "sample string 2",
"lastname": "sample string 3",
"company_id": "f9cc38b3-224b-40a2-9c5e-f6d98aa034f6",
"company_code": "sample string 5",
"company": {
"id": "62b7cdc9-da03-488c-b2fa-32796435e715",
"is_client": true,
"is_supplier": true,
"archived": true,
"name": "sample string 5",
"notes": "sample string 6",
"create_date": "2026-07-18T00:36:15.5970135+00:00",
"sales_territory_id": "a939f082-fd34-4b9d-bfde-6c11bdce9962",
"sales_territory_code": "sample string 9",
"sales_territory": {
"id": "2662c1c2-0d9a-483a-bd9a-de7e454e4505",
"code": "sample string 2",
"description": "sample string 3",
"sales_organization_id": "3326f530-85e4-4d48-8a41-6ec462814ce3",
"sales_organization_code": "sample string 5",
"sales_organization": {
"id": "0b15651d-57d2-46ff-9ef0-3d1ee43d4abb",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "7d68234b-d66e-4868-8048-f504804fa8f9",
"db_currency_id": "c04f5512-368a-4878-b810-48767a373dd2",
"db_language_id": "dc1d23ac-2770-4404-8128-d931485b4ac8",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-07-18T00:36:15.5970135+00:00"
},
"modified_dateutc": "2026-07-18T00:36:15.5970135+00:00"
},
"marketing_segment_id": "96fe7100-ed60-49c3-8a98-98fe72af885f",
"marketing_segment_code": "sample string 11",
"sales_organization_id": "2931beca-d91e-4535-919d-92256c65ce5b",
"sales_organization_code": "sample string 13",
"company_sales_status_code": "sample string 14",
"vat_reg_code": "sample string 15",
"is_working_address": true,
"parent_id": "724dc9cf-bccc-4c75-bafa-0b8461f57a9f",
"parent_company_code": "sample string 18",
"phone": "sample string 19",
"fax": "sample string 20",
"url": "sample string 21",
"email": "sample string 22",
"street": "sample string 23",
"street_number": "sample string 24",
"city": "sample string 25",
"zip": "sample string 26",
"db_country_id": "02ea7901-b46c-4e8a-98ca-611f3336ca9b",
"db_country_code": "sample string 28",
"feelist_id": "8835c73b-a958-4226-88b8-844312b51ea0",
"feelist_reference_back_office": "sample string 30",
"feelist": {
"id": "234a4889-4b32-4837-84ad-b96ee88f4352",
"name": "sample string 2",
"description": "sample string 3",
"is_default": true,
"default_price": 1.0,
"sales_organization_id": "e5cdb03f-9408-47b7-8881-0a13397a0a3d",
"sales_organization_code": "sample string 6",
"reference_back_office": "sample string 7",
"modified_dateutc": "2026-07-18T00:36:15.5970135+00:00",
"db_currency_id": "f9a99d5e-dc62-4f90-a8c6-5462bf22c993",
"db_currency_code": "sample string 10"
},
"company_type_id": "e9eb1dee-473d-44b8-91cd-4d54b4b6742b",
"company_type_name": "sample string 32",
"company_type": {
"id": "4853f9d0-eb60-44de-bb69-01322a9d31c5",
"name": "sample string 2",
"description": "sample string 3",
"sales_organization_id": "2f616f61-6081-41cc-9ae2-a97c9e577a1d",
"sales_organization_code": "sample string 5"
},
"db_language_id": "e4166398-b800-4cc1-a74f-67bea1310f93",
"db_language_code": "sample string 34",
"code": "sample string 35",
"article_price_label_id": "29464895-57f0-4f3f-97f4-db73d02bf5ef",
"article_price_label_code": "sample string 37",
"db_payment_method_id": "f7e36e1a-3fd9-4148-83de-d0a2fa7f092f",
"db_payment_method_reference_back_office": "sample string 39",
"db_payment_methods": {
"id": "e7d5622f-a0d9-48db-96ea-8734c3574f03",
"name": "sample string 2",
"description": "sample string 3",
"reference_back_office": "sample string 4",
"activated": true,
"modified_dateutc": "2026-07-18T00:36:15.5970135+00:00"
},
"company_sector_id": "8828a0e9-e9e8-446c-a686-6871d5e2af26",
"company_sector_code": "sample string 41",
"is_lead": true,
"is_subcontractor": true,
"latitude": 1.0,
"longitude": 1.0,
"street2": "sample string 44",
"bic_code": "sample string 45",
"specialities": "sample string 46",
"register_number": "sample string 47",
"register_city": "sample string 48",
"bankaccount": "sample string 49",
"mobile": "sample string 50",
"service_manager_user_id": "02a441be-7d8b-4feb-9703-66d1d326d560",
"service_manager_user_code": "sample string 52",
"finance_manager_user_id": "80579a13-45b4-4809-a2b6-858676cdb941",
"finance_manager_user_code": "sample string 54",
"account_manager_user_id": "7acc97c7-9a1a-463c-8040-ea675061dc32",
"account_manager_user_code": "sample string 56",
"company_status_id": "c9c0b72a-e752-43dd-9e8b-6eb6d7450435",
"invoice_email_to": "sample string 58",
"modified_dateutc": "2026-07-18T00:36:15.5970135+00:00",
"id2": 60
},
"db_language_id": "77ae9394-0bd1-4181-bb27-775d6f9c9d94",
"db_language_code": "sample string 7",
"db_title_id": "8f78c857-a84e-4436-96d8-84d5b0ec83f1",
"archived": true,
"functions": "sample string 10",
"e_login": "sample string 11",
"e_password": "sample string 12",
"notes": "sample string 13",
"birthdate": "2026-07-18T00:36:15.5970135+00:00",
"create_date": "2026-07-18T00:36:15.5970135+00:00",
"phone": "sample string 16",
"mobile": "sample string 17",
"email": "sample string 18",
"skype": "sample string 19",
"private_phone": "sample string 20",
"private_mobile": "sample string 21",
"private_email": "sample string 22",
"reference_back_office": "sample string 23",
"modified_dateutc": "2026-07-18T00:36:15.5970135+00:00"
}
Response Information
Resource Description :
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample not available.